Attribute VB_Name = "PrecisionID_QR_DEMO"

' To provide the quickest implementation, consider
' licensing this product instead of using the demo.
' The licensed version is provided with a 30 day
' money back satisfaction guarantee.
' To order, please visit:
' https://www.precisionid.com/products/2d-barcode-fonts/qr-code/
'
' Limitations of the Demo Version:
' The demo version of this product includes a fully
' functional 2D font and is designed only for the
' purpose of testing the font in various applications
' and point sizes. To generate dynamic symbols,
' a font encoder is required to format the data being
' encoded into the 2D symbol.
' Only static data can be provided for the encoders
' in the demo version, because providing a working
' encoder would reveal the complete source code,
' which is only available in the licensed version.


Private DEMO As Integer
Private DECount As Integer

Public Function PrecisionID_QRCode_FontEncoder(DataToEncode As String) As String
    Dim NewLineCharacter As String
    NewLineCharacter = vbLf
    Dim FontEncoderText As String
    FontEncoderText = ""
    FontEncoderText = FontEncoderText & "AHEEEHAPMOCCICIKDPAHEEEHAP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "BNFFFNBPAOMHAHILEPBNFFFNBP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "CLBCACFMPBDPKINMOKFBGGFINP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "IHNAPBFGGFMEFPGAJGGJFFBAFP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "ENNNFNEPKHAHKIJJAHFHAJPAFP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "APBBBPAPBFAMFPGCACDEDJFLAP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "HHHHHHHPHPPHPPPPPHPHPHHHHP"
    PrecisionID_QRCode_FontEncoder = FontEncoderText
    
    If DEMO <> 3 Then
        DECount = 1
        MsgBox "The demo version of this product includes a fully functional 2D font and is designed only for the purpose of testing the font in various applications and point sizes. To generate dynamic symbols, a font encoder is required to format the data being encoded into the 2D symbol. Only static data can be provided for the encoders in the demo version, because providing a working encoder would reveal the complete source code, which is only available in the licensed version. To order, please visit: www.precisionid.com" & vbCrLf & vbCrLf & "This product is available as an instant download with a 30-day money-back guarantee if not completely satisfied.", , "DEMO Notice"
        DEMO = 3
    End If
    DECount = DECount + 1
    
End Function

Public Function PrecisionID_QRCode_FontEncoder_GS1(DataToEncode As String) As String
    Dim NewLineCharacter As String
    NewLineCharacter = vbLf
    Dim FontEncoderText As String
    FontEncoderText = ""
    FontEncoderText = FontEncoderText & "AHEEEHAPPJKENKMIEPAHEEEHAP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "BNFFFNBPJHEDJGIPIPBNFFFNBP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "DOOGLFFIBNKDLKJLJCMGOINOMP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "NKDKKHFJGMLDAEKLHFEENJDJEP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "EFNFNNEPKNFGFBAMAHFHAIPPHP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "APBBBPAPLIPCPCJOCBFBBAFAFP" & NewLineCharacter
    FontEncoderText = FontEncoderText & "HHHHHHHPHPHPPHHPHHPPHHHHHP"
    PrecisionID_QRCode_FontEncoder_GS1 = FontEncoderText

    If DEMO <> 3 Then
        DECount = 1
        MsgBox "The demo version of this product includes a fully functional 2D font and is designed only for the purpose of testing the font in various applications and point sizes. To generate dynamic symbols, a font encoder is required to format the data being encoded into the 2D symbol. Only static data can be provided for the encoders in the demo version, because providing a working encoder would reveal the complete source code, which is only available in the licensed version. To order, please visit: www.precisionid.com" & vbCrLf & vbCrLf & "This product is available as an instant download with a 30-day money-back guarantee if not completely satisfied.", , "DEMO Notice"
        DEMO = 3
    End If
    DECount = DECount + 1
    
End Function

